Starmade | AI without thrust modules does not work well
Closed, FinishedPublic


Ships that don't have thrust modules on them seem to behave weird. They do not always fire or it just takes them a long time to target you.

I put a turret on each a ship without thrust, and with that it appeared to be fixed, all spawned ships instantly fired their weapons (and so did their turrets).

If they have any thrust modules they act fine and shoot you as soon as possible.

How to reproduce:

  1. I included 2 blueprints, 1 has thrust, the other has not: Mob test.rar
  2. mass spawn 20 ships of each blueprint and compare the results while you are sitting in a (god mode) ship
  3. the group with thrust should all fire their missiles at you within 1/2 seconds
  4. the group without thrust will fire their missiles only a few at a time and it will take longer till all of them have fired.


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19602 (Dev)
Issue Type
First occurrence (version)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 23 2015, 9:48 PM
lancake changed the edit policy from "All Users" to "Starmade (Project)".
lancake changed Category from none/unspecified to AI.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.1869.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19289.
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 23 2015, 9:57 PM
lancake set Issue Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 11:16 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
lancake claimed this task.Sep 21 2015, 10:48 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 6:56 PM
schema added a subscriber: schema.

Fixed with better engagement

lancake closed this task as "Closed".Mar 10 2016, 3:56 PM

-QA Testing-

Fix confirmed, any other AI issue doesn't seem to be related to thrust so can safely close this one.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 10 2016, 3:56 PM
lancake changed Last tested (version) from 0.19289 to 0.19602 (Dev).Mar 10 2016, 3:56 PM

Add Comment